通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Private Endpoint Connections - Update

更新专用终结点连接。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ContainerService/managedClusters/{resourceName}/privateEndpointConnections/{privateEndpointConnectionName}?api-version=2026-01-01

URI 参数

名称 必需 类型 说明
privateEndpointConnectionName
path True

string

专用终结点连接的名称。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

资源组的名称。 此名称不区分大小写。

resourceName
path True

string

minLength: 1
maxLength: 63
pattern: ^[a-zA-Z0-9]$|^[a-zA-Z0-9][-_a-zA-Z0-9]{0,61}[a-zA-Z0-9]$

托管集群资源的名称。

subscriptionId
path True

string (uuid)

目标订阅的 ID。 该值必须是 UUID。

api-version
query True

string

minLength: 1

用于此作的 API 版本。

请求正文

名称 必需 类型 说明
properties.privateLinkServiceConnectionState True

PrivateLinkServiceConnectionState

关于服务consumer与提供者之间连接状态的信息集合。

properties.privateEndpoint

PrivateEndpoint

专用终结点的资源。

响应

名称 类型 说明
200 OK

PrivateEndpointConnection

资源“PrivateEndpointConnection”更新作成功

201 Created

PrivateEndpointConnection

资源“PrivateEndpointConnection”创建作成功

Other Status Codes

ErrorResponse

意外错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow.

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

Update Private Endpoint Connection

示例请求

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedClusters/clustername1/privateEndpointConnections/privateendpointconnection1?api-version=2026-01-01

{
  "properties": {
    "privateLinkServiceConnectionState": {
      "status": "Approved"
    }
  }
}

示例响应

{
  "name": "privateendpointconnection1",
  "type": "Microsoft.Network/privateLinkServices/privateEndpointConnections",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedCluster/clustername1/privateEndpointConnections/privateendpointconnection1",
  "properties": {
    "privateEndpoint": {
      "id": "/subscriptions/subid2/resourceGroups/rg2/providers/Microsoft.Network/privateEndpoints/pe2"
    },
    "privateLinkServiceConnectionState": {
      "status": "Approved"
    },
    "provisioningState": "Succeeded"
  }
}
{
  "name": "privateendpointconnection1",
  "type": "Microsoft.Network/privateLinkServices/privateEndpointConnections",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ContainerService/managedCluster/clustername1/privateEndpointConnections/privateendpointconnection1",
  "properties": {
    "privateEndpoint": {
      "id": "/subscriptions/subid2/resourceGroups/rg2/providers/Microsoft.Network/privateEndpoints/pe2"
    },
    "privateLinkServiceConnectionState": {
      "status": "Approved"
    },
    "provisioningState": "Succeeded"
  }
}

定义

名称 说明
ConnectionStatus

专用链接服务连接状态。

createdByType

创建资源的标识的类型。

ErrorAdditionalInfo

资源管理错误附加信息。

ErrorDetail

错误详细信息。

ErrorResponse

错误响应

PrivateEndpoint

连接所属的专用终结点。

PrivateEndpointConnection

专用终结点连接

PrivateEndpointConnectionProvisioningState

当前预配状态。

PrivateLinkServiceConnectionState

专用链接服务连接的状态。

systemData

与创建和上次修改资源相关的元数据。

ConnectionStatus

专用链接服务连接状态。

说明
Pending

连接正在等待批准。

Approved

连接已批准。

Rejected

连接被拒。

Disconnected

连接断开了。

createdByType

创建资源的标识的类型。

说明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

资源管理错误附加信息。

名称 类型 说明
info

object

附加信息。

type

string

附加信息类型。

ErrorDetail

错误详细信息。

名称 类型 说明
additionalInfo

ErrorAdditionalInfo[]

错误附加信息。

code

string

错误代码。

details

ErrorDetail[]

错误详细信息。

message

string

错误消息。

target

string

错误目标。

ErrorResponse

错误响应

名称 类型 说明
error

ErrorDetail

错误对象。

PrivateEndpoint

连接所属的专用终结点。

名称 类型 说明
id

string

专用终结点的资源 ID

PrivateEndpointConnection

专用终结点连接

名称 类型 说明
id

string (arm-id)

资源的完全限定资源 ID。 例如“/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

name

string

资源的名称

properties.privateEndpoint

PrivateEndpoint

专用终结点的资源。

properties.privateLinkServiceConnectionState

PrivateLinkServiceConnectionState

关于服务consumer与提供者之间连接状态的信息集合。

properties.provisioningState

PrivateEndpointConnectionProvisioningState

当前预配状态。

systemData

systemData

Azure Resource Manager 包含 createdBy 和 modifiedBy 信息的元数据。

type

string

资源类型。 例如“Microsoft.Compute/virtualMachines”或“Microsoft.Storage/storageAccounts”

PrivateEndpointConnectionProvisioningState

当前预配状态。

说明
Canceled

私有端点连接配置被取消。

Creating

私有端点连接正在创建中。

Deleting

私有端点连接正在被删除。

Failed

私有端点连接配置失败。

Succeeded

私有端点连接配置成功。

PrivateLinkServiceConnectionState

专用链接服务连接的状态。

名称 类型 说明
description

string

专用链接服务连接说明。

status

ConnectionStatus

专用链接服务连接状态。

systemData

与创建和上次修改资源相关的元数据。

名称 类型 说明
createdAt

string (date-time)

资源创建时间戳(UTC)。

createdBy

string

创建资源的标识。

createdByType

createdByType

创建资源的标识的类型。

lastModifiedAt

string (date-time)

上次修改的资源时间戳(UTC)

lastModifiedBy

string

上次修改资源的标识。

lastModifiedByType

createdByType

上次修改资源的标识的类型。